Bug 1316696 - [GSS](6.4.z) Document changing of management interface requires updating start/shutdown service scripts and jboss-cli as well
[GSS](6.4.z) Document changing of management interface requires updating star...
Status: NEW
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.4.7
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lucas Costi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-10 14:56 EST by Brad Maxwell
Modified: 2016-09-19 20:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBEAP-3985 Critical Closed Document changing of management interface requires updating start/shutdown service scripts and jboss-cli as well 2017-01-12 18:05 EST
Red Hat Knowledge Base (Solution) 1151023 None None None 2016-03-10 14:56 EST

  None (edit)
Description Brad Maxwell 2016-03-10 14:56:05 EST
Document URL: 

https://access.redhat.com/documentation/en-US/JBoss_Enterprise_Application_Platform/6.4/html-single/Installation_Guide/index.html

https://access.redhat.com/documentation/en-US/JBoss_Enterprise_Application_Platform/6.4/html-single/Administration_and_Configuration_Guide/index.html

Section Number and Name: 

Procedure 2.20. Configure a Service for JBoss EAP 6 in Microsoft Windows Server

Describe the issue: 

Setting the controller host/port needs to be called out has very important.  The service script results in a command such at this if the user tries to stop the service script: jboss-cli.bat --controller=localhost:9999 --connect  --command=:shutdown

It defaults to localhost, which is the default in the standalone*.xml configs, but many users change the default management interface or port or set system property 'jboss.bind.address.management' or change the port offset or system property 'jboss.socket.binding.port-offset' or change the 'jboss.management.native.port', etc.

If any of these are changed in the jboss profile xml, that means the windows service script (possibly other service scripts) are now not pointing at the correct host/port.  This means the service stop command will fail because it is not trying to call the correct host/port.

    <interfaces>
        <interface name="management">
            <inet-address value="${jboss.bind.address.management:127.0.0.1}"/>
        </interface>

    <socket-binding-group name="standard-sockets" default-interface="public" port-offset="${jboss.socket.binding.port-offset:0}">
        <socket-binding name="management-native" interface="management" port="${jboss.management.native.port:9999}"/>


/controller HOST:PORT	

--------------------------
Additionally in the Admin & Config guide, '3.4.2. Launch the Management CLI' and '5.1.2. Configure Interfaces', we need to make sure we call out in a bold note that when you try to connect with the cli it defaults to trying localhost:9999 , if you change the management interface, then you will need to call jboss-cli.sh --controller=... to give it the correct host/port.  And also in the section about 'Configure Interfaces' a bold note saying if you change this and you have installed a startup / shutdown script such as the windows service scripts, then you will need to update the script to that it uses the correct host/port.

Suggestions for improvement: 

Additional information:
Comment 4 JBoss JIRA Server 2016-09-19 20:24:57 EDT
Lucas Costi <lcosti@redhat.com> updated the status of jira JBEAP-3985 to Closed

Note You need to log in before you can comment on or make changes to this bug.